Accessibility in Angular Numeric Textbox

25 Sep 20265 minutes to read

The Angular Numeric Textbox component adheres to accessibility guidelines and standards including ADA, Section 508, WCAG 2.2 standards, and WAI-ARIA roles. The following table outlines the accessibility compliance status of the Angular Numeric Textbox component.

Accessibility Criteria Compatibility
WCAG 2.2 Support Yes
Section 508 Support Yes
Screen Reader Support Yes
Right-To-Left Support Yes
Color Contrast Yes
Mobile Device Support Yes
Keyboard Navigation Support Yes
Accessibility Checker Validation Yes
Axe-core Accessibility Validation Yes
Yes - All features of the component meet the requirement.
Intermediate - Some features of the component do not meet the requirement.
No - The component does not meet the requirement.

WAI-ARIA attributes

The Angular Numeric Textbox includes complete ARIA accessibility support, enabling access through screen readers and other assistive technology devices. The component is designed following the WAI-ARIA Accessibility practices guidelines for spin button elements.

The Angular Numeric Textbox uses the spin button role and the following ARIA properties based on component state:

Property Functionality
aria-live Indicates the priority of updates to a live region.
aria-valuemin Specifies the minimum allowable value.
aria-valuemax Specifies the maximum allowable value.
aria-disabled Indicates the disabled state of the Numeric TextBox.
aria-readonly Indicates the read-only state of the Numeric TextBox.
aria-valuenow Specifies the current value of the Numeric TextBox.
aria-invalid Indicates that the user input is incorrect or outside acceptable ranges.
aria-label Provides an accessible label for the Numeric TextBox.

Keyboard interaction

The Angular Numeric Textbox keyboard interaction is based on WAI-ARIA Practices guidelines for spinbutton elements, providing keyboard-only access as an alternative to mouse interaction.

The following table shows the supported keyboard shortcuts:

Keyboard Shortcut Action
Arrow Up Increments the value.
Arrow Down Decrements the value.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs'
import { FormsModule } from '@angular/forms'



import { Component } from '@angular/core';

@Component({
imports: [
        
        NumericTextBoxModule,
        FormsModule
    ],


standalone: true,
    selector: 'app-root',
    // specifies the template string for the NumericTextBox component
    // sets value to the NumericTextBox
    template: `
            <ejs-numerictextbox value='10'></ejs-numerictextbox>
            `
})
export class AppComponent {
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Ensuring accessibility

The Angular Numeric Textbox component’s accessibility levels are ensured through an accessibility-checker and axe-core software tools during automated testing.

The accessibility compliance of the Angular Numeric Textbox component is shown in the following sample. Open the sample in a new window to evaluate the accessibility of the Angular Numeric Textbox component with accessibility tools.

See also

Accessibility in React Numeric TextBox

The React Numeric TextBox component adheres to the highest accessibility standards, including ADA, Section 508, WCAG 2.2 standards, and WAI-ARIA roles. These standards ensure the component is accessible to all users, including those using assistive technologies.

The accessibility compliance for the React Numeric TextBox component is outlined in the table below. A checkmark (✓) indicates full feature compliance, while partial or absent support is noted accordingly.

Accessibility Criteria Compatibility
WCAG 2.2 Support Yes
Section 508 Support Yes
Screen Reader Support Yes
Right-To-Left Support Yes
Color Contrast Yes
Mobile Device Support Yes
Keyboard Navigation Support Yes
Accessibility Checker Validation Yes
Axe-core Accessibility Validation Yes
Yes - All features of the component meet the requirement.
Intermediate - Some features of the component do not meet the requirement.
No - The component does not meet the requirement.

WAI-ARIA attributes

The React Numeric TextBox features comprehensive ARIA accessibility support, enabling seamless interaction with screen readers and other assistive technologies. This component implements the practices outlined in WAI-ARIA Spin button specifications, ensuring users with disabilities can access all functionality.

The React Numeric TextBox uses the spin button role and following ARIA properties to its element based on its state.

Property Functionality
aria-live The aria-live attribute indicates the priority of updates to a live region
aria-valuemin The aria-valuemin property specifies the minimum allowable range of the NumericTextBox.
aria-valuemax The aria-valuemax property specifies the maximum allowable range of the NumericTextBox.
aria-disabled The aria-disabled property indicates disabled state of the NumericTextBox.
aria-readonly The aria-readonly property indicates the read-only state of the NumericTextBox.
aria-valuenow The aria-valuenow property specifies the current value of the NumericTextBox.
aria-invalid The aria-invalid property indicates that the user input is incorrect or not within acceptable ranges.
aria-label The aria-label property indicates a string value that labels the NumericTextBox.

Keyboard interaction

The React Numeric TextBox keyboard interactions follow WAI-ARIA Spin button practices, providing full accessibility via keyboard without requiring a mouse. Users can navigate and control the component entirely through keyboard input.

The following table describes the keyboard shortcuts and their corresponding actions:

Keyboard Shortcut Action
Arrow Up Increments the numeric value
Arrow Down Decrements the numeric value

[Class-component]

import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
// initializes NumericTextBox component
// sets value to the NumericTextBox
ReactDOM.render(<NumericTextBoxComponent value={10}/>, document.getElementById('numericContainer'));
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

// initializes NumericTextBox component
// sets value to the NumericTextBox
ReactDOM.render(<NumericTextBoxComponent value={10} />
,document.getElementById('numericContainer'));

[Functional-component]

import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
function App() {
    return <NumericTextBoxComponent value={10}/>;
}
ReactDOM.render(<App />, document.getElementById('numericContainer'));
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

function App() {
  return <NumericTextBoxComponent value={10} />;
}
ReactDOM.render(<App />, document.getElementById('numericContainer'));

Ensuring accessibility

The React Numeric TextBox component’s accessibility levels are ensured through an accessibility-checker and axe-core software tools during automated testing.

The accessibility compliance of the React Numeric TextBox component is shown in the following sample. Open the sample in a new window to evaluate the accessibility of the React Numeric TextBox component with accessibility tools.

See also

Accessibility in Vue Numeric Textbox

20 Aug 20266 minutes to read

The Numerictextbox component followed the accessibility guidelines and standards, including ADA, Section 508, WCAG 2.2 standards, and WCAG roles that are commonly used to evaluate accessibility.

The accessibility compliance for the Numerictextbox component is outlined below.

Accessibility Criteria Compatibility
WCAG 2.2 Support Yes
Section 508 Support Yes
Screen Reader Support Yes
Right-To-Left Support Yes
Color Contrast Yes
Mobile Device Support Yes
Keyboard Navigation Support Yes
Accessibility Checker Validation Yes
Axe-core Accessibility Validation Yes
Yes - All features of the component meet the requirement.
Intermediate - Some features of the component do not meet the requirement.
No - The component does not meet the requirement.

WAI-ARIA attributes

The NumericTextBox characterized with complete ARIA Accessibility support which helps to accessible
by on-screen readers and other assistive technology devices. This component designed with the reference of the guidelines document given in WAI ARAI Accessibility practices.

The NumericTextBox uses the spinbutton role and following ARIA properties to its element based on its state.

Property Functionality
aria-live The aria-live attribute indicates the priority of updates to a live region
aria-valuemin The aria-valuemin property specifies the minimum allowable range of the NumericTextBox.
aria-valuemax The aria-valuemax property specifies the maximum allowable range of the NumericTextBox.
aria-disabled The aria-disabled property indicates disabled state of the NumericTextBox.
aria-readonly The aria-readonly property indicates the read-only state of the NumericTextBox.
aria-valuenow The aria-valuenow property specifies the current value of the NumericTextBox.
aria-invalid The aria-invalid property indicates that the user input is incorrect or not within acceptable ranges.
aria-label The aria-label property indicates a string value that labels the NumericTextBox.

Keyboard interaction

Keyboard interaction of the NumericTextBox component has been designed based on WAI-ARIA Practices described for the NumericTextBox and it is an alternative to mouse actions to interact with the NumericTextBox.

The below table shows shortcut keys and its corresponding usage.

Keyboard shortcuts Actions
Arrow Down Increments the value.
Arrow Up Decrements the value
<template>
  <div id="app">
    <div class='wrap'>
        <ejs-numerictextbox value="10"></ejs-numerictextbox>
    </div>
  </div>
</template>
<script setup>

import { NumericTextBoxComponent as EjsNumerictextbox } from "@syncfusion/ej2-vue-inputs";

</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0 auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-numerictextbox value="10"></ejs-numerictextbox>
    </div>
  </div>
</template>
<script>

import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

export default {
  name: "App",
  components: {
    "ejs-numerictextbox": NumericTextBoxComponent
  },
  data() {
    return {
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0 auto;
  width: 240px;
}
</style>

Ensuring accessibility

The NumericTextBox component’s accessibility levels are ensured through an accessibility-checker and axe-core software tools during automated testing.

The accessibility compliance of the NumericTextBox component is shown in the following sample. Open the sample in a new window to evaluate the accessibility of the NumericTextBox component with accessibility tools.

See also